@import "vars";

#report-errors {
    font-family: 'Segoe UI', Tahoma, sans-serif;
    font-size: 18px;

    z-index: 1;

    $border: 1px solid #ff6060;
    display: flex;
    flex-flow: column;

    box-shadow: 0px 0px 10px 2px #ff0000b5;

    position: absolute;
    bottom: 0;
    right: 0;

    width: Max(350px, 40%);
    height: fit-content;

    box-sizing: border-box;
    border-top-left-radius: 8px;

    &:not(:empty) {
        border-left: $border;
        border-top: $border;
    }

    > .report-error {
        width: calc(100% - 40px);
        box-sizing: content-box;
        padding: 0 20px;

        background: #fb8787;
        transition: height .3s ease;

        overflow: hidden;

        display: flex;
        //justify-content: center;
        align-items: center;

        height: 0;

        &:first-child {
            border-top-left-radius: inherit;
        }

        &:not(:first-child) {
            border-top: $border;
        }

        &.show {
            height: 50px;
        }

        > .error-text {
            @include textOverflow;

            > .error-link {
                color: white;
                text-decoration: underline;
            }

            > .error-reason {
                font-weight: bold;
            }
        }
    }
}